package com.zhiwei.manage.service;

import java.util.List;

import com.zhiwei.manage.bean.Channel;
import com.zhiwei.manage.bean.PageEty;
import com.zhiwei.manage.bean.ServerBean;

public interface ServerService {

	public void insert(ServerBean serverBean);

	/**
	 * 分页查询库信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param dbName
	 * @return
	 */
	public PageEty findDb(int pageNo, int pageSize, String dbName);

	public boolean update(ServerBean serverBean);

	public boolean delete(List<String> id);

	/**
	 * 插入渠道
	 * 
	 * @param channels
	 */
	public void insertChannels(Channel channels);

	/**
	 * 修改渠道信息
	 * 
	 * @param channel
	 * @return
	 */
	public boolean updateChannel(Channel channel);

	/**
	 * 删除渠道信息
	 * 
	 * @param id
	 * @return
	 */
	public boolean deleteChannel(List<String> id);

	/**
	 * 查询渠道信息
	 * 
	 * @return
	 */
	public List<Channel> findChannels();

	/**
	 * 分页查询渠道
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	public PageEty findChannel(int pageNo, int pageSize);

	/**
	 * 查询所有的渠道
	 * 
	 * @return
	 */
	public List<Channel> findDisChannel();

	/**
	 * 获取渠道名
	 * 
	 * @return
	 */
	public List<String> findDisChan();

	/**
	 * 根据pt获取库的配置
	 * 
	 * @param pt
	 * @return
	 */
	public ServerBean findServer(String pt);

}
